#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define			sname	goa
#-----------------------------------------------------------------------------
Name		:	gnome-online-accounts
Version		:	3.50.2
Release		:	17.0.10.rel%{?dist}
Summary		:	Single sign-on framework for GNOME
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/gnome-online-accounts

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Buildrequires	:	json-glib
Buildrequires	:	gcr3
Buildrequires	:	gobject-introspection
Buildrequires	:	krb5-devel
Buildrequires	:	rest
Buildrequires	:	telepathy-glib
Buildrequires	:	vala
Buildrequires	:	webkit2gtk4.1-devel

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/glib-compile-schemas
#-----------------------------------------------------------------------------
%description
'%{name}' provides interfaces so that applications and libraries
in GNOME can access the user's online accounts. It has providers
for Google, ownCloud, Facebook, Flickr, Foursquare, Microsoft Account,
Pocket, Microsoft Exchange, IMAP/SMTP and Kerberos.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc NEWS README.md
%license COPYING README.md
%{_libexecdir}/%{sname}-daemon
%{_libexecdir}/%{sname}-identity-service
%{_libexecdir}/%{sname}-oauth2-handler
%{_libdir}/lib%{sname}-1.0.so.0*
%{_libdir}/lib%{sname}-backend-1.0.so.2*
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/applications/org.gnome.OnlineAccounts.OAuth2.desktop
%{_datadir}/icons/hicolor/{scalable,symbolic}/apps/%{sname}-*.svg
%{_mandir}/man8/goa-daemon.8.gz

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
  fi

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1

#=============================================================================
%package		devel
Summary		:	Development files for %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{sname}-1.0/%{sname}/*.h
%{_includedir}/%{sname}-1.0/%{sname}backend/*.h
%{_libdir}/%{sname}-1.0/include/%{sname}config.h
%{_libdir}/lib%{sname}-1.0.so
%{_libdir}/lib%{sname}-backend-1.0.so
%{_libdir}/pkgconfig/%{sname}-1.0.pc
%{_libdir}/pkgconfig/%{sname}-backend-1.0.pc
%{_datadir}/gtk-doc/html/%{sname}/style.css
%{_datadir}/gtk-doc/html/%{sname}/*.html
%{_datadir}/gtk-doc/html/%{sname}/*.png
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/%{sname}*.{deps,vapi}

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

export GLSECRET="5ntt6GbbkjnTVXx-MSxbmx5e"
export GLID="595013732528-llk8trb03f0ldpqq6nprjp1s79596646"
export GLURL="apps.googleusercontent.com"

meson setup						\
	--prefix=%{_prefix}				\
	--buildtype=release				\
	-D man=true					\
	-D gtk_doc=true					\
	_bld


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	-C _bld						\
	%{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
        ninja						\
        -C _bld						\
        install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
